#!/bin/sh
#---------------------------------------------------------------------------
#   Fuer Unix/Linux
#
#   Startet das MM3-WebAssistant - Utility
#


#   JAVA_JRE  Environment Variable muss auf die Java Virtuale Machine (JRE) zeigen.
#             Beispiel: JAVA_JRE=/usr/lib/java/jre/bin/java
JAVA_JRE=java


#   Wechselt in das Verzeichnis, welches die Datei MM3-WebAssistant.jar enthaelt.
cd `dirname $0`/..


#   Startet das MM3-Utility
"$JAVA_JRE" -Xmx200M -jar MM3-WebAssistant.jar utility

#   Benoetigt der Indexer mehr Speicher koennen Sie diesen erhoehen. 
#   Mit -Xmx200M stellen Sie 200 Mega Byte des RAM-Speichers zur Verfuegung.


if [ "$?" != "130" ]; then
  echo
  echo "Java ist nicht installiert"
  echo "oder die Environment Variable ist nicht korrekt definiert."
  echo "Bitte installieren Sie Java bzw. definieren Sie die Evironment Variable in dieser Skript-Datei."
  echo 
  echo "Moeglichkeiten zum Download von Java finden Sie in der lokalen Dokumentation:"
  echo "documentation/getJava.html"
  echo
  firefox "documentation/getJava.html" &
fi